org.appng.formtags

## Enum FormData.FormDataMode

- java.lang.Object
- - java.lang.Enum<FormData.FormDataMode>
  - - org.appng.formtags.FormData.FormDataMode

- All Implemented Interfaces:
    Serializable, Comparable<FormData.FormDataMode>
  Enclosing class:
    FormData

      public static enum FormData.FormDataMode
      extends Enum<FormData.FormDataMode>

  Defines when to display the `FormData`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` Always display the `FormData`
    `NOT_SUBMITTED` Display `FormData` only if the form is not submitted or if the submitted data is not valid.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormData.FormDataMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FormData.FormDataMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SUBMITTED

          public static final FormData.FormDataMode NOT_SUBMITTED

      Display `FormData` only if the form is not submitted or if the submitted data is not valid. (default mode)

    - #### ALWAYS

          public static final FormData.FormDataMode ALWAYS

      Always display the `FormData`

  - ### Method Detail

    - #### values

          public static FormData.FormDataMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormData.FormDataMode c : FormData.FormDataMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormData.FormDataMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.